Open CASCADE Technology: DsgPrs_AnglePresentation Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Static Public Member Functions
DsgPrs_AnglePresentation Class Reference

A framework for displaying angles. More...

`#include <DsgPrs_AnglePresentation.hxx>`

## Static Public Member Functions
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real aVal, const TCollection_ExtendedString &aText, const gp_Circ &aCircle, const gp_Pnt &aPosition, const gp_Pnt &Apex, const gp_Circ &VminCircle, const gp_Circ &VmaxCircle, const Standard_Real aArrowSize)
| Draws the presenation of the full angle of a cone. VminCircle - a circle at V parameter = Vmin VmaxCircle - a circle at V parameter = Vmax aCircle - a circle at V parameter from projection of aPosition to axis of the cone. More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real theval, const gp_Pnt &CenterPoint, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &dir1, const gp_Dir &dir2, const gp_Pnt &OffsetPoint)
| Draws the representation of the angle defined by dir1 and dir2, centered on CenterPoint, using the offset point OffsetPoint. Lines are drawn to points AttachmentPoint1 and AttachmentPoint2. More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real theval, const TCollection_ExtendedString &thevalstring, const gp_Pnt &CenterPoint, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &dir1, const gp_Dir &dir2, const gp_Pnt &OffsetPoint)
| Same as above, but <thevalstring> contains conversion in Session units.... More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real theval, const TCollection_ExtendedString &thevalstring, const gp_Pnt &CenterPoint, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &dir1, const gp_Dir &dir2, const gp_Pnt &OffsetPoint, const DsgPrs_ArrowSide ArrowSide)
| Same as above, may add one or two Arrows according to <ArrowSide> value. More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real theval, const TCollection_ExtendedString &thevalstring, const gp_Pnt &CenterPoint, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &dir1, const gp_Dir &dir2, const gp_Dir &axisdir, const gp_Pnt &OffsetPoint)
| Same as above, but axisdir contains the axis direction useful for Revol that can be opened with 180 degrees. More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real theval, const TCollection_ExtendedString &thevalstring, const gp_Pnt &CenterPoint, const gp_Pnt &AttachmentPoint1, const gp_Pnt &AttachmentPoint2, const gp_Dir &dir1, const gp_Dir &dir2, const gp_Dir &axisdir, const Standard_Boolean isPlane, const gp_Ax1 &AxisOfSurf, const gp_Pnt &OffsetPoint, const DsgPrs_ArrowSide ArrowSide)
| Same as above,may add one or two Arrows according to <ArrowSide> value. More...
static void | Add (const Handle< Prs3d_Presentation > &aPresentation, const Handle< Prs3d_Drawer > &aDrawer, const Standard_Real theval, const gp_Pnt &theCenter, const gp_Pnt &AttachmentPoint1, const gp_Ax1 &theAxe, const DsgPrs_ArrowSide ArrowSide)
| simple representation of a poor lonesome angle dimension Draw a line from <theCenter> to <AttachmentPoint1>, then operates a rotation around the perpmay add one or two Arrows according to <ArrowSide> value. The attributes (color,arrowsize,...) are driven by the Drawer. More...

## Detailed Description

A framework for displaying angles.

## Member Function Documentation

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | aVal,
|  | const TCollection_ExtendedString & | aText,
|  | const gp_Circ & | aCircle,
|  | const gp_Pnt & | aPosition,
|  | const gp_Pnt & | Apex,
|  | const gp_Circ & | VminCircle,
|  | const gp_Circ & | VmaxCircle,
|  | const Standard_Real | aArrowSize
| ) |  |
| static

Draws the presenation of the full angle of a cone. VminCircle - a circle at V parameter = Vmin VmaxCircle - a circle at V parameter = Vmax aCircle - a circle at V parameter from projection of aPosition to axis of the cone.

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | theval,
|  | const gp_Pnt & | CenterPoint,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | dir1,
|  | const gp_Dir & | dir2,
|  | const gp_Pnt & | OffsetPoint
| ) |  |
| static

Draws the representation of the angle defined by dir1 and dir2, centered on CenterPoint, using the offset point OffsetPoint. Lines are drawn to points AttachmentPoint1 and AttachmentPoint2.

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | thevalstring,
|  | const gp_Pnt & | CenterPoint,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | dir1,
|  | const gp_Dir & | dir2,
|  | const gp_Pnt & | OffsetPoint
| ) |  |
| static

Same as above, but <thevalstring> contains conversion in Session units....

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | thevalstring,
|  | const gp_Pnt & | CenterPoint,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | dir1,
|  | const gp_Dir & | dir2,
|  | const gp_Pnt & | OffsetPoint,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) |  |
| static

Same as above, may add one or two Arrows according to <ArrowSide> value.

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | thevalstring,
|  | const gp_Pnt & | CenterPoint,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | dir1,
|  | const gp_Dir & | dir2,
|  | const gp_Dir & | axisdir,
|  | const gp_Pnt & | OffsetPoint
| ) |  |
| static

Same as above, but axisdir contains the axis direction useful for Revol that can be opened with 180 degrees.

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | theval,
|  | const TCollection_ExtendedString & | thevalstring,
|  | const gp_Pnt & | CenterPoint,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Pnt & | AttachmentPoint2,
|  | const gp_Dir & | dir1,
|  | const gp_Dir & | dir2,
|  | const gp_Dir & | axisdir,
|  | const Standard_Boolean | isPlane,
|  | const gp_Ax1 & | AxisOfSurf,
|  | const gp_Pnt & | OffsetPoint,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) |  |
| static

Same as above,may add one or two Arrows according to <ArrowSide> value.

static void DsgPrs_AnglePresentation::Add | ( | const Handle< Prs3d_Presentation > & | aPresentation,
|  | const Handle< Prs3d_Drawer > & | aDrawer,
|  | const Standard_Real | theval,
|  | const gp_Pnt & | theCenter,
|  | const gp_Pnt & | AttachmentPoint1,
|  | const gp_Ax1 & | theAxe,
|  | const DsgPrs_ArrowSide | ArrowSide
| ) |  |
| static

simple representation of a poor lonesome angle dimension Draw a line from <theCenter> to <AttachmentPoint1>, then operates a rotation around the perpmay add one or two Arrows according to <ArrowSide> value. The attributes (color,arrowsize,...) are driven by the Drawer.

The documentation for this class was generated from the following file:

- DsgPrs_AnglePresentation.hxx